function postprocfile=MakePostProcSettings(fighandle)
% MakePostProcSettings indicates in the main GUI figure which
% post-processing results have been calculated. 

% get handles struct
handles=guidata(fighandle);

% for each possible field, see if it's active
if isfield(handles,'sigeps')
    yesss=sprintf('Stress/Strain done.\n');
else
    yesss='';
end
if isfield(handles,'principals')
    yesprinc=sprintf('Principals done.\n');
else
    yesprinc='';
end
if isfield(handles,'effstress')
    yeseff=sprintf('Eff. stress done.\n');
else
    yeseff='';
end
if isfield(handles,'fringes')
    yesfringe=sprintf('Fringes done.\n');
else
    yesfringe='';
end

% create output string based on active fields
postprocfile=[yesss,yesprinc,yeseff,yesfringe];
